Subject: Re: [PATCH] netfilter: unfold two critical loops in ip_packet_match()

From: Eric Dumazet <[email-masked]>
Date: Wed, 18 Feb 2009 16:10:55 +0100

Patrick McHardy a écrit :
> 
> The interface name matching has shown up in profiles forever
> though and we've actually already tried to optimize it IIRC.
> 
> Eric, I'm trying to keep all the *tables files synchronized,
> could you send me a patch updating the other ones as well
> please?

While doing this, I found arp_tables is still using loop using
byte operations.

Also, I could not find how iniface_mask[], outiface_mask[], iniface[]
and outiface[] were forced to long word alignment ... 

(in struct ipt_ip, struct ip6t_ip6, struct arpt_arp)

--
To unsubscribe from this list: send the line "unsubscribe netfilter-devel" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html